
package Forks::Super::SysInfo;
use strict;
use warnings;

# This package contains some estimates about your
# system's capabilities that were discovered during
# the build/installation process of  Forks::Super .

# This information may not be accurate and is not
# intended for any other purpose.

## no critic (ProhibitMagicNumbers)

our $VERSION = '0.97';


our $SYSTEM = 'linux';

our $PERL_VERSION = '5.038000';

our $MAX_FORK = 300;

our $MAX_OPEN_FH = 1022;

our $TOO_MANY_FH_ERRNO = 24;

our $FILE_NOT_FOUND_ERRNO = 2;

our $SOCKET_CAPACITY = 212992;

our $PIPE_CAPACITY = 65536;

our $SLEEP_ALARM_COMPATIBLE = 1;


# The "poor man's alarm" may be helpful on systems that cannot
# reliably send SIGALRM to a grandchild process. If you get test
# failures on t/40a, t/40d, t/40g, or t/65e, your system may
# benefit from setting $PREFER_ALTERNATE_ALARM to a true value.
# It is set by default for freebsd since v0.79 
# and for darwin since v0.88.

our $PREFER_ALTERNATE_ALARM = 0;

our $PROC_PROCESSTABLE_OK = 0;

our $TIME_HIRES_TOL = 0.00;

our $ACTIVE_WAITPID_RESULT = 0;

our $ACTIVE_WAITPID_STATUS = -1;

our $BOGUS_WAITPID_RESULT = -1;

our $BOGUS_WAITPID_STATUS = -1;

our $REAPED_WAITPID_RESULT = -1;

our $REAPED_WAITPID_STATUS = -1;

our $IGNORE_WAITPID_RESULT = -1;

our $IGNORE_WAITPID_STATUS = -1;

our $NUM_PROCESSORS = 1;

our @SYNC_IMPLS = qw(IPCSemaphore Semaphlock);

# indicates if we can safely run remote tests (t/49*.t)
our $TEST_SSH_TEMPLATE = q~0~;

our %CONFIG = (
    'SIGUSR1'      => 1,
    'alarm'        => 1,
    'getpgrp'      => 1,
    'getpriority'  => 1,
    'pipe'         => 1,
    'select4'      => 1,
    'setitimer'    => 1,
    'socketpair'   => 1,
);



1;
